<template>
    <div style="min-height: 400px">
        <BasicForm @register="registerForm"></BasicForm>
    </div>
</template>

<script lang="ts" setup>
    import {BasicForm, useForm} from '/@/components/Form/index';
    import {formSchema} from '../MetricMonitorSetOther.data';

    const [registerForm, {setProps,resetFields, setFieldsValue, validate}] = useForm({
        labelWidth: 150,
        schemas:formSchema,
        showActionButtonGroup: false,
        baseColProps: {span: 24}
    });

    async function setData(data) {
        await setFieldsValue(data);
    }
    
    async function getData() {
        let values = await validate();   
        return values;
    }

    defineExpose({
        setData,
        getData,
    });

</script>